% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/GeneSetAnalysis.R
\name{install_SeuratExtendData}
\alias{install_SeuratExtendData}
\title{Select SeuratExtendData Version}
\usage{
install_SeuratExtendData(version = "latest")
}
\arguments{
\item{version}{Character string specifying the version. Options are:

  - "latest" (default): The latest version with most recent database updates (April 2025)
  - "stable": The stable version (v0.2.1) with datasets from January 2020
  - "v0.2.1": Specific version tag for the January 2020 databases
  - "v0.3.0": Specific version tag for the April 2025 databases}
}
\value{
Invisible TRUE if successful
}
\description{
This function allows users to select which version of SeuratExtendData to install.
}
\examples{
# Install the latest version
install_SeuratExtendData("latest")

# Install the stable version
install_SeuratExtendData("stable")
}
